# -------------------------------------------------
#  問題解決のためのRとJAGS: 
#  小中高で学ぶ統計からベイズ統計、サンプルサイズまで.
# -------------------------------------------------
#  Copyright © 2018年 山村吉信. All rights reserved.
# -------------------------------------------------
rm(list=ls())
library(rjags)
N <- 20
y <- 4
a <- 1
b <- 1
DL <- list("N"=N, "y"=y, "a"=a, "b"=b)
parameters = c("p")             # モニタするパラメータ
AS = 500                        # チューンするステップ
BIS = 1000                      # バーンインするステップ
NC = 3                          # 実行チェーン
NSS = 50000                     # チェーン・ステップ
TS = 1                          # シン・ステップ
NI = ceiling((NSS * TS ) / NC ) # チェーンごとのステップ
JM = jags.model("m0502a.txt", data=DL, n.chains=NC, n.adapt=AS)
update(JM, n.iter=BIS)
CS = coda.samples(JM, variable.names=parameters, 
n.iter=NI, thin=TS)
summary(CS)
plot(CS)
# -------------------------------------------------
