# -------------------------------------------------
#  問題解決のためのRとJAGS: 
#  小中高で学ぶ統計からベイズ統計、サンプルサイズまで.
# -------------------------------------------------
#  Copyright © 2018年 山村吉信. All rights reserved.
# -------------------------------------------------
rm(list=ls())
library(rjags)
library(MASS)
tbl <- table(survey$Smoke)
N <- as.numeric(sum(tbl)); N
y <- N - as.numeric(tbl["Never"]); y
dataList <- list("N"=N, "y"=y)
parameters = c("p")             # モニタするパラメータ.
AS = 500                        # チューンするステップ.
BIS = 1000                      # バーンインするステップ.
NC = 3                          # 実行チェーン.
NSS=50000                       # チェーン・ステップ.
TS=1                            # シン・ステップ.
NI = ceiling((NSS * TS ) / NC ) # チェーン毎のステップ.
JM = jags.model("m0504a.txt", data=dataList, n.chains=NC, n.adapt=AS)
update(JM, n.iter=BIS)
CS = coda.samples(JM, variable.names=parameters, 
n.iter=NI, thin=TS )
summary(CS)
plot(CS)
# -------------------------------------------------
