# -------------------------------------------------
#  問題解決のためのRとJAGS: 
#  小中高で学ぶ統計からベイズ統計、サンプルサイズまで.
# -------------------------------------------------
#  Copyright © 2018年 山村吉信. All rights reserved.
# -------------------------------------------------
rm(list=ls())
library(MASS)
library(rjags)
y <- as.numeric(discoveries); y
# -------------------------------------------------
a <- 20
b <- 10
# -------------------------------------------------
dataList <- list("a"=a, "b"=b)
parameters = c("y", "lambda")
adaptSteps = 500
burnInSteps = 1000
nChains = 3
numSavedSteps=50000
thinSteps=1
nIter = ceiling( ( numSavedSteps * thinSteps ) / nChains )
jagsModel = jags.model( "m0801a.txt", data=dataList, n.chains=nChains, n.adapt=adaptSteps )
update( jagsModel , n.iter=burnInSteps )
codaSamples = coda.samples( jagsModel, variable.names=parameters, 
 n.iter=nIter , thin=thinSteps )
summary(codaSamples)
plot(codaSamples)
# -------------------------------------------------
